Package Details: esniper 2.35.0-0

Git Clone URL: https://aur.archlinux.org/esniper.git (read-only)
Package Base: esniper
Description: A simple, lightweight tool for sniping eBay auctions.
Upstream URL: http://esniper.sourceforge.net/
Licenses: BSD
Conflicts: esniper-git
Submitter: None
Maintainer: janis.mezitis
Last Packager: janis.mezitis
Votes: 72
Popularity: 0.055090
First Submitted: 2006-06-27 15:39
Last Updated: 2018-07-04 16:54

Latest Comments

1 2 3 Next › Last »

duckdalbe commented on 2018-07-04 13:02

The esniper-git is unfortunately not an alternative because it pulls code from an outdated mirror, instead of upstream.

duckdalbe commented on 2018-07-04 13:00

Version 2.35 ist downloadable as a proper release now, the PKGBUILD still works as is. Can you please update the version and checksum?

(sha512sum here: 'd35c869442d7ceeb116c3f68d928eb4ff99ba3ac12f60e74dc79bfb7981b1897537f19e38dc095f8ea4b00149fe056f227f099c36127252400dc8a7a9cce17ce')

FoPref commented on 2018-05-23 21:43

This version is outdated as upstream 'released' a new version in their git but without doing a proper release.

Use esniper-git package to get a version that works with current ebay.

srgdts commented on 2017-03-13 20:17

--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,33 +1,27 @@
# Maintainer: Bjoern Franke <bjo@nord-west.org>
pkgname=esniper
-pkgver=2.32.0
-pkgrel=1
-pkgver_stripped='2-32-0'
+pkgver=2.33.0
+pkgrel=0
+_pkgver_stripped='2-33-0'
pkgdesc="A simple, lightweight tool for sniping eBay auctions."
arch=('i686' 'x86_64' 'armv6h' 'armv7h' 'arm')
url="http://esniper.sourceforge.net/"
license=('BSD')
depends=('curl' 'openssl')
-source=(http://downloads.sourceforge.net/esniper/${pkgname}-${pkgver_stripped}.tgz 'http://esniper.cvs.sourceforge.net/viewvc/esniper/esniper/auction.c' )
+source=(http://downloads.sourceforge.net/esniper/${pkgname}-${_pkgver_stripped}.tgz)

-sha512sums=('b32e93ee964489d560d9123ce5f87c5cbf94d9a0198196095a0b85411ed4ad6657f7a2531e24c1e51644562b433e418faa56b62abd8f0b6e95ce6014a746d7af'
- '0aea2a9e1ea3f73d777058b9f8cc1394e24a5fe947073eeefc93c88bc2778bd112aa9cd5b435f7bb102f1d518ba5fe66be6c878c6ed6471016214b9c168594e9')
-
-prepare()
-{
- mv "${srcdir}/auction.c" "${srcdir}/${pkgname}-${pkgver_stripped}/auction.c"
-}
+sha512sums=('0ce5d1f1d4860cc52c69be620fdd99065c8ac8b70e0f0042fd7426542aee78be31fa2acf2c3b230467cf20491c1238a36d7cd196238aecaff39a9560a267edd0')

build()
{
- cd "${srcdir}/${pkgname}-${pkgver_stripped}"
+ cd "${srcdir}/${pkgname}-${_pkgver_stripped}"
./configure --prefix=/usr
make
}

package()
{
- cd "${srcdir}/${pkgname}-${pkgver_stripped}"
+ cd "${srcdir}/${pkgname}-${_pkgver_stripped}"
make DESTDIR="${pkgdir}" install
install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
install -D -m755 frontends/snipe "${pkgdir}/usr/bin/snipe"

svenihoney commented on 2016-11-20 10:45

Again: Please add armv7h, works perfectly on cubietruck!

janis.mezitis commented on 2016-10-29 18:05

Patched with: http://sprunge.us/OjeN

blkqi commented on 2016-10-14 02:53

Recently, 2.31.0 needs a patch for login to work
http://sprunge.us/OjeN

Schumbi commented on 2014-10-17 18:28

With the bundel downloaded, esniper works for me, too. (on ebay.de)

You can add 'armv7h' for cubiertruck and so on.

Cheers.

Schumbi commented on 2014-10-17 18:12

With the bundel download works for me, too. (on ebay.de)

You can add 'armv7h' for cubiertruck and so on.

Cheers.

crabman commented on 2014-09-13 14:54

please add "armv6h" to the architecture list for raspberry pi